Summary: The Free Implementation of the Unicode Bidirectional Algorithm.
Name:    fribidi
Version: 1.0.13
Release: 2%{?dist}
License: LGPLv2+ and UCD
URL:     https://github.com/fribidi/fribidi/
Source0: https://github.com/%{name}/%{name}/releases/download/v%{version}/%{name}-%{version}.tar.xz

BuildRequires: gcc make automake autoconf libtool

%description
The library implements the algorithm described in the "Unicode Standard 
Annex #9, The Bidirectional Algorithm".It uses Unicode (UTF-32) entirely. 
The character properties are automatically extracted from the Unicode 
data files. This means that every Unicode character is treated in strict 
accordance with the Unicode specification.


%package devel
Summary:  Libraries and header files of %{name}
Requires: %{name} = %{version}-%{release}

%description devel
This package provides libraries and header files of %{name}


%prep
%autosetup -p1


%build
%configure --disable-static
%{make_build}


%install
%{make_install}
rm -f %{buildroot}%{_libdir}/*.la


%check
%{make_build} check


%post  -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%files
%license COPYING
%doc README ChangeLog NEWS TODO AUTHORS THANKS
%{_libdir}/libfribidi.so.0*
%{_bindir}/fribidi


%files devel
%{_includedir}/fribidi
%{_mandir}/man3/*.3.gz
%{_libdir}/libfribidi.so
%{_libdir}/pkgconfig/fribidi.pc


%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.13-2
- Rebuilt for OpenCloudOS Stream 23.09

* Tue Aug 15 2023 kianli <kianli@tencent.com> - 1.0.13-1
- Upgrade to 1.0.13

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.12-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.12-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Jul 27 2022 doriscchao <doriscchao@tencent.com> - 1.0.12-1
- initial build, Version 1.0.12, Release 1

